Subject: Re: bug#24079: 11.89.4; Auctex noweb issue.
From: Mosè Giordano <[email-masked]>
To: [email-masked]
Cc: [email-masked], Shawn Way <[email-masked]>
Date: Tue, 4 Dec 2018 22:25:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear all,

this bug should have been fixed in ESS:
https://github.com/emacs-ess/ESS/issues/354

Bye,
Mosè

On Fri, Jul 29, 2016 at 12:32 AM Mosè Giordano <[email-masked]> wrote:
>
> Hi Reinhard,
>
> 2016-07-28 23:52 GMT+02:00 Reinhard Kotucha <[email-masked]>:
> > On 2016-07-28 at 18:24:56 +0200, Mosè Giordano wrote:
> >
> >  >  but when I `edebug' it the problem goes away.
> >
> > It seems that you encountered a Heisenbug.
> >
> >   https://en.wikipedia.org/wiki/Heisenbug
>
> Yes, I know, indeed I linked the same Wikipedia article in the ESS bug
> ticket ;-)
>
> > If so, edebug is probably not the best choice.
>
> Ok, but how to debug then?  I noticed that if I press C-g repeatedly
> only the first line is uncommented, the others remain commented, so
> the infinite loop must lies somewhere between the first and the second
> deletion of the comment string, but I can't discover where exactly.
>
> Bye,
> Mosè